"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _baseGet = require("./_baseGet.js");
const _baseSet = require("./_baseSet.js");
const _castPath = require("./_castPath.js");
var baseGet = _baseGet._baseGet, baseSet = _baseSet._baseSet, castPath = _castPath._castPath;
function basePickBy(object, paths, predicate) {
  var index = -1, length = paths.length, result = {};
  while (++index < length) {
    var path = paths[index], value = baseGet(object, path);
    if (predicate(value, path)) {
      baseSet(result, castPath(path, object), value);
    }
  }
  return result;
}
var _basePickBy = basePickBy;
exports._basePickBy = _basePickBy;
